searchData={"items":[{"type":"module","title":"IbanEx","doc":"Documentation for `IbanEx`.","ref":"IbanEx.html"},{"type":"function","title":"IbanEx.hello/0","doc":"Hello world.","ref":"IbanEx.html#hello/0"},{"type":"function","title":"Examples - IbanEx.hello/0","doc":"iex> IbanEx.hello()\n    :world","ref":"IbanEx.html#hello/0-examples"},{"type":"module","title":"IbanEx.Country.AD","doc":"Andorra IBAN parsing rules","ref":"IbanEx.Country.AD.html"},{"type":"module","title":"Examples - IbanEx.Country.AD","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"AD\",\n    ...>    check_digits: \"12\",\n    ...>    bank_code: \"0001\",\n    ...>    branch_code: \"2030\",\n    ...>    national_check: nil,\n    ...>    account_number: \"200359100100\"\n    ...>  }\n    ...>  |> IbanEx.Country.AD.to_string()\n    \"AD 12 0001 2030 200359100100\"\n```","ref":"IbanEx.Country.AD.html#module-examples"},{"type":"function","title":"IbanEx.Country.AD.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.AD.html#rule/0"},{"type":"module","title":"IbanEx.Country.AE","doc":"United Arab Emirates IBAN parsing rules","ref":"IbanEx.Country.AE.html"},{"type":"module","title":"Examples - IbanEx.Country.AE","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"AE\",\n    ...>    check_digits: \"07\",\n    ...>    bank_code: \"033\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"1234567890123456\"\n    ...>  }\n    ...>  |> IbanEx.Country.AE.to_string()\n    \"AE 07 033 1234567890123456\"\n```","ref":"IbanEx.Country.AE.html#module-examples"},{"type":"function","title":"IbanEx.Country.AE.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.AE.html#rule/0"},{"type":"module","title":"IbanEx.Country.AL","doc":"Albania IBAN parsing rules","ref":"IbanEx.Country.AL.html"},{"type":"module","title":"Examples - IbanEx.Country.AL","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"AL\",\n    ...>    check_digits: \"47\",\n    ...>    bank_code: \"212\",\n    ...>    branch_code: \"1100\",\n    ...>    national_check: \"9\",\n    ...>    account_number: \"0000000235698741\"\n    ...>  }\n    ...>  |> IbanEx.Country.AL.to_string()\n    \"AL 47 212 1100 9 0000000235698741\"\n```","ref":"IbanEx.Country.AL.html#module-examples"},{"type":"function","title":"IbanEx.Country.AL.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.AL.html#rule/0"},{"type":"module","title":"IbanEx.Country.AT","doc":"Austria IBAN parsing rules","ref":"IbanEx.Country.AT.html"},{"type":"module","title":"Examples - IbanEx.Country.AT","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"AT\",\n    ...>    check_digits: \"61\",\n    ...>    bank_code: \"19043\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"00234573201\"\n    ...>  }\n    ...>  |> IbanEx.Country.AT.to_string()\n    \"AT 61 19043 00234573201\"\n```","ref":"IbanEx.Country.AT.html#module-examples"},{"type":"function","title":"IbanEx.Country.AT.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.AT.html#rule/0"},{"type":"module","title":"IbanEx.Country.AZ","doc":"Azerbaijan IBAN parsing rules","ref":"IbanEx.Country.AZ.html"},{"type":"module","title":"Examples - IbanEx.Country.AZ","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"AZ\",\n    ...>    check_digits: \"21\",\n    ...>    bank_code: \"NABZ\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"00000000137010001944\"\n    ...>  }\n    ...>  |> IbanEx.Country.AZ.to_string()\n    \"AZ 21 NABZ 00000000137010001944\"\n```","ref":"IbanEx.Country.AZ.html#module-examples"},{"type":"function","title":"IbanEx.Country.AZ.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.AZ.html#rule/0"},{"type":"module","title":"IbanEx.Country.BA","doc":"Bosnia and Herzegovina IBAN parsing rules","ref":"IbanEx.Country.BA.html"},{"type":"module","title":"Examples - IbanEx.Country.BA","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"BA\",\n    ...>    check_digits: \"39\",\n    ...>    bank_code: \"129\",\n    ...>    branch_code: \"007\",\n    ...>    national_check: \"94\",\n    ...>    account_number: \"94010284\"\n    ...>  }\n    ...>  |> IbanEx.Country.BA.to_string()\n    \"BA 39 129 007 94010284 94\"\n```","ref":"IbanEx.Country.BA.html#module-examples"},{"type":"function","title":"IbanEx.Country.BA.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.BA.html#rule/0"},{"type":"module","title":"IbanEx.Country.BE","doc":"Belgium IBAN parsing rules","ref":"IbanEx.Country.BE.html"},{"type":"module","title":"Examples - IbanEx.Country.BE","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"BE\",\n    ...>    check_digits: \"68\",\n    ...>    bank_code: \"539\",\n    ...>    branch_code: nil,\n    ...>    national_check: \"34\",\n    ...>    account_number: \"0075470\"\n    ...>  }\n    ...>  |> IbanEx.Country.BE.to_string()\n    \"BE 68 539 0075470 34\"\n```","ref":"IbanEx.Country.BE.html#module-examples"},{"type":"function","title":"IbanEx.Country.BE.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.BE.html#rule/0"},{"type":"module","title":"IbanEx.Country.BG","doc":"Bulgaria IBAN parsing rules","ref":"IbanEx.Country.BG.html"},{"type":"module","title":"Examples - IbanEx.Country.BG","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"BG\",\n    ...>    check_digits: \"80\",\n    ...>    bank_code: \"BNBG\",\n    ...>    branch_code: \"9661\",\n    ...>    national_check: nil,\n    ...>    account_number: \"1020345678\"\n    ...>  }\n    ...>  |> IbanEx.Country.BG.to_string()\n    \"BG 80 BNBG 9661 1020345678\"\n```","ref":"IbanEx.Country.BG.html#module-examples"},{"type":"function","title":"IbanEx.Country.BG.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.BG.html#rule/0"},{"type":"module","title":"IbanEx.Country.BH","doc":"Bahrain IBAN parsing rules","ref":"IbanEx.Country.BH.html"},{"type":"module","title":"Examples - IbanEx.Country.BH","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"BH\",\n    ...>    check_digits: \"67\",\n    ...>    bank_code: \"BMAG\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"00001299123456\"\n    ...>  }\n    ...>  |> IbanEx.Country.BH.to_string()\n    \"BH 67 BMAG 00001299123456\"\n```","ref":"IbanEx.Country.BH.html#module-examples"},{"type":"function","title":"IbanEx.Country.BH.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.BH.html#rule/0"},{"type":"module","title":"IbanEx.Country.BR","doc":"Brazil IBAN parsing rules","ref":"IbanEx.Country.BR.html"},{"type":"module","title":"Examples - IbanEx.Country.BR","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"BR\",\n    ...>    check_digits: \"18\",\n    ...>    bank_code: \"00360305\",\n    ...>    branch_code: \"00001\",\n    ...>    account_number: \"0009795493\",\n    ...>    national_check: \"C1\"\n    ...>  }\n    ...>  |> IbanEx.Country.BR.to_string()\n    \"BR 18 00360305 00001 0009795493 C1\"\n```","ref":"IbanEx.Country.BR.html#module-examples"},{"type":"function","title":"IbanEx.Country.BR.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.BR.html#rule/0"},{"type":"module","title":"IbanEx.Country.CH","doc":"Switzerland IBAN parsing rules","ref":"IbanEx.Country.CH.html"},{"type":"module","title":"Examples - IbanEx.Country.CH","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"CH\",\n    ...>    check_digits: \"93\",\n    ...>    bank_code: \"00762\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"011623852957\"\n    ...>  }\n    ...>  |> IbanEx.Country.CH.to_string()\n    \"CH 93 00762 011623852957\"\n```","ref":"IbanEx.Country.CH.html#module-examples"},{"type":"function","title":"IbanEx.Country.CH.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.CH.html#rule/0"},{"type":"module","title":"IbanEx.Country.CR","doc":"Costa Rica IBAN parsing rules","ref":"IbanEx.Country.CR.html"},{"type":"module","title":"Examples - IbanEx.Country.CR","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"CR\",\n    ...>    check_digits: \"05\",\n    ...>    bank_code: \"0152\",\n    ...>    branch_code: nil,\n    ...>    account_number: \"02001026284066\",\n    ...>    national_check: nil\n    ...>  }\n    ...>  |> IbanEx.Country.CR.to_string()\n    \"CR 05 0152 02001026284066\"\n```","ref":"IbanEx.Country.CR.html#module-examples"},{"type":"function","title":"IbanEx.Country.CR.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.CR.html#rule/0"},{"type":"module","title":"IbanEx.Country.CY","doc":"Cyprus IBAN parsing rules","ref":"IbanEx.Country.CY.html"},{"type":"module","title":"Examples - IbanEx.Country.CY","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"CY\",\n    ...>    check_digits: \"17\",\n    ...>    bank_code: \"002\",\n    ...>    branch_code: \"00128\",\n    ...>    national_check: nil,\n    ...>    account_number: \"0000001200527600\"\n    ...>  }\n    ...>  |> IbanEx.Country.CY.to_string()\n    \"CY 17 002 00128 0000001200527600\"\n```","ref":"IbanEx.Country.CY.html#module-examples"},{"type":"function","title":"IbanEx.Country.CY.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.CY.html#rule/0"},{"type":"module","title":"IbanEx.Country.CZ","doc":"Czech Republic IBAN parsing rules","ref":"IbanEx.Country.CZ.html"},{"type":"module","title":"Examples - IbanEx.Country.CZ","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"CZ\",\n    ...>    check_digits: \"65\",\n    ...>    bank_code: \"0800\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0000192000145399\"\n    ...>  }\n    ...>  |> IbanEx.Country.CZ.to_string()\n    \"CZ 65 0800 0000192000145399\"\n```","ref":"IbanEx.Country.CZ.html#module-examples"},{"type":"function","title":"IbanEx.Country.CZ.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.CZ.html#rule/0"},{"type":"module","title":"IbanEx.Country.DE","doc":"Germany IBAN parsing rules","ref":"IbanEx.Country.DE.html"},{"type":"module","title":"Examples - IbanEx.Country.DE","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"DE\",\n    ...>    check_digits: \"89\",\n    ...>    bank_code: \"37040044\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0532013000\"\n    ...>  }\n    ...>  |> IbanEx.Country.DE.to_string()\n    \"DE 89 37040044 0532013000\"\n```","ref":"IbanEx.Country.DE.html#module-examples"},{"type":"function","title":"IbanEx.Country.DE.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.DE.html#rule/0"},{"type":"module","title":"IbanEx.Country.DK","doc":"Denmark IBAN parsing rules","ref":"IbanEx.Country.DK.html"},{"type":"module","title":"Examples - IbanEx.Country.DK","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"DK\",\n    ...>    check_digits: \"50\",\n    ...>    bank_code: \"0040\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0440116243\"\n    ...>  }\n    ...>  |> IbanEx.Country.DK.to_string()\n    \"DK 50 0040 0440116243\"\n```","ref":"IbanEx.Country.DK.html#module-examples"},{"type":"function","title":"IbanEx.Country.DK.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.DK.html#rule/0"},{"type":"module","title":"IbanEx.Country.DO","doc":"Dominican Republic IBAN parsing rules","ref":"IbanEx.Country.DO.html"},{"type":"module","title":"Examples - IbanEx.Country.DO","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"DO\",\n    ...>    check_digits: \"28\",\n    ...>    bank_code: \"BAGR\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"00000001212453611324\"\n    ...>  }\n    ...>  |> IbanEx.Country.DO.to_string()\n    \"DO 28 BAGR 00000001212453611324\"\n```","ref":"IbanEx.Country.DO.html#module-examples"},{"type":"function","title":"IbanEx.Country.DO.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.DO.html#rule/0"},{"type":"module","title":"IbanEx.Country.EE","doc":"Estonian IBAN parsing rules","ref":"IbanEx.Country.EE.html"},{"type":"module","title":"Examples - IbanEx.Country.EE","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"EE\",\n    ...>    check_digits: \"38\",\n    ...>    bank_code: \"22\",\n    ...>    branch_code: \"00\",\n    ...>    national_check: \"5\",\n    ...>    account_number: \"22102014568\"\n    ...>  }\n    ...>  |> IbanEx.Country.EE.to_string()\n    \"EE 38 22 00 22102014568 5\"\n```","ref":"IbanEx.Country.EE.html#module-examples"},{"type":"function","title":"IbanEx.Country.EE.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.EE.html#rule/0"},{"type":"module","title":"IbanEx.Country.EG","doc":"Egypt IBAN parsing rules","ref":"IbanEx.Country.EG.html"},{"type":"module","title":"Examples - IbanEx.Country.EG","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"EG\",\n    ...>    check_digits: \"38\",\n    ...>    bank_code: \"0019\",\n    ...>    branch_code: \"0005\",\n    ...>    national_check: nil,\n    ...>    account_number: \"00000000263180002\"\n    ...>  }\n    ...>  |> IbanEx.Country.EG.to_string()\n    \"EG 38 0019 0005 00000000263180002\"\n```","ref":"IbanEx.Country.EG.html#module-examples"},{"type":"function","title":"IbanEx.Country.EG.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.EG.html#rule/0"},{"type":"module","title":"IbanEx.Country.ES","doc":"Spain IBAN parsing rules","ref":"IbanEx.Country.ES.html"},{"type":"module","title":"Examples - IbanEx.Country.ES","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"ES\",\n    ...>    check_digits: \"91\",\n    ...>    bank_code: \"2100\",\n    ...>    branch_code: \"0418\",\n    ...>    national_check: \"45\",\n    ...>    account_number: \"0200051332\"\n    ...>  }\n    ...>  |> IbanEx.Country.ES.to_string()\n    \"ES 91 2100 0418 45 0200051332\"\n```","ref":"IbanEx.Country.ES.html#module-examples"},{"type":"function","title":"IbanEx.Country.ES.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.ES.html#rule/0"},{"type":"module","title":"IbanEx.Country.FI","doc":"Finland IBAN parsing rules","ref":"IbanEx.Country.FI.html"},{"type":"module","title":"Examples - IbanEx.Country.FI","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"FI\",\n    ...>    check_digits: \"21\",\n    ...>    bank_code: \"123456\",\n    ...>    branch_code: nil,\n    ...>    national_check: \"5\",\n    ...>    account_number: \"0000078\"\n    ...>  }\n    ...>  |> IbanEx.Country.FI.to_string()\n    \"FI 21 123456 0000078 5\"\n```","ref":"IbanEx.Country.FI.html#module-examples"},{"type":"function","title":"IbanEx.Country.FI.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.FI.html#rule/0"},{"type":"module","title":"IbanEx.Country.FO","doc":"Faroe Islands IBAN parsing rules","ref":"IbanEx.Country.FO.html"},{"type":"module","title":"Examples - IbanEx.Country.FO","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"FO\",\n    ...>    check_digits: \"62\",\n    ...>    bank_code: \"6460\",\n    ...>    branch_code: nil,\n    ...>    national_check: \"4\",\n    ...>    account_number: \"000163163\"\n    ...>  }\n    ...>  |> IbanEx.Country.FO.to_string()\n    \"FO 62 6460 000163163 4\"\n```","ref":"IbanEx.Country.FO.html#module-examples"},{"type":"function","title":"IbanEx.Country.FO.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.FO.html#rule/0"},{"type":"module","title":"IbanEx.Country.FR","doc":"France IBAN parsing rules","ref":"IbanEx.Country.FR.html"},{"type":"module","title":"Examples - IbanEx.Country.FR","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"FR\",\n    ...>    check_digits: \"14\",\n    ...>    bank_code: \"20041\",\n    ...>    branch_code: \"01005\",\n    ...>    national_check: \"06\",\n    ...>    account_number: \"0500013M026\"\n    ...>  }\n    ...>  |> IbanEx.Country.FR.to_string()\n    \"FR 14 20041 01005 0500013M026 06\"\n```","ref":"IbanEx.Country.FR.html#module-examples"},{"type":"function","title":"IbanEx.Country.FR.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.FR.html#rule/0"},{"type":"module","title":"IbanEx.Country.GB","doc":"United Kingdom IBAN parsing rules","ref":"IbanEx.Country.GB.html"},{"type":"module","title":"Examples - IbanEx.Country.GB","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"GB\",\n    ...>    check_digits: \"29\",\n    ...>    bank_code: \"NWBK\",\n    ...>    branch_code: \"601613\",\n    ...>    national_check: \"06\",\n    ...>    account_number: \"31926819\"\n    ...>  }\n    ...>  |> IbanEx.Country.GB.to_string()\n    \"GB 29 NWBK 601613 31926819\"\n```","ref":"IbanEx.Country.GB.html#module-examples"},{"type":"function","title":"IbanEx.Country.GB.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.GB.html#rule/0"},{"type":"module","title":"IbanEx.Country.GE","doc":"Georgia IBAN parsing rules","ref":"IbanEx.Country.GE.html"},{"type":"module","title":"Examples - IbanEx.Country.GE","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"GE\",\n    ...>    check_digits: \"29\",\n    ...>    bank_code: \"NB\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0000000101904917\"\n    ...>  }\n    ...>  |> IbanEx.Country.GE.to_string()\n    \"GE 29 NB 0000000101904917\"\n```","ref":"IbanEx.Country.GE.html#module-examples"},{"type":"function","title":"IbanEx.Country.GE.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.GE.html#rule/0"},{"type":"module","title":"IbanEx.Country.GI","doc":"Gibraltar IBAN parsing rules","ref":"IbanEx.Country.GI.html"},{"type":"module","title":"Examples - IbanEx.Country.GI","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"GI\",\n    ...>    check_digits: \"75\",\n    ...>    bank_code: \"NWBK\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"000000007099453\"\n    ...>  }\n    ...>  |> IbanEx.Country.GI.to_string()\n    \"GI 75 NWBK 000000007099453\"\n```","ref":"IbanEx.Country.GI.html#module-examples"},{"type":"function","title":"IbanEx.Country.GI.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.GI.html#rule/0"},{"type":"module","title":"IbanEx.Country.GL","doc":"Greenland IBAN parsing rules","ref":"IbanEx.Country.GL.html"},{"type":"module","title":"Examples - IbanEx.Country.GL","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"GL\",\n    ...>    check_digits: \"89\",\n    ...>    bank_code: \"6471\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0001000206\"\n    ...>  }\n    ...>  |> IbanEx.Country.GL.to_string()\n    \"GL 89 6471 0001000206\"\n```","ref":"IbanEx.Country.GL.html#module-examples"},{"type":"function","title":"IbanEx.Country.GL.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.GL.html#rule/0"},{"type":"module","title":"IbanEx.Country.GR","doc":"Greece IBAN parsing rules","ref":"IbanEx.Country.GR.html"},{"type":"module","title":"Examples - IbanEx.Country.GR","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"GR\",\n    ...>    check_digits: \"16\",\n    ...>    bank_code: \"011\",\n    ...>    branch_code: \"0125\",\n    ...>    national_check: nil,\n    ...>    account_number: \"0000000012300695\"\n    ...>  }\n    ...>  |> IbanEx.Country.GR.to_string()\n    \"GR 16 011 0125 0000000012300695\"\n```","ref":"IbanEx.Country.GR.html#module-examples"},{"type":"function","title":"IbanEx.Country.GR.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.GR.html#rule/0"},{"type":"module","title":"IbanEx.Country.GT","doc":"Guatemala IBAN parsing rules","ref":"IbanEx.Country.GT.html"},{"type":"module","title":"Examples - IbanEx.Country.GT","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"GT\",\n    ...>    check_digits: \"82\",\n    ...>    bank_code: \"TRAJ\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"01020000001210029690\"\n    ...>  }\n    ...>  |> IbanEx.Country.GT.to_string()\n    \"GT 82 TRAJ 01020000001210029690\"\n```","ref":"IbanEx.Country.GT.html#module-examples"},{"type":"function","title":"IbanEx.Country.GT.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.GT.html#rule/0"},{"type":"module","title":"IbanEx.Country.HR","doc":"Croatia IBAN parsing rules","ref":"IbanEx.Country.HR.html"},{"type":"module","title":"Examples - IbanEx.Country.HR","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"HR\",\n    ...>    check_digits: \"12\",\n    ...>    bank_code: \"1001005\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"1863000160\"\n    ...>  }\n    ...>  |> IbanEx.Country.HR.to_string()\n    \"HR 12 1001005 1863000160\"\n```","ref":"IbanEx.Country.HR.html#module-examples"},{"type":"function","title":"IbanEx.Country.HR.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.HR.html#rule/0"},{"type":"module","title":"IbanEx.Country.HU","doc":"Hungary IBAN parsing rules","ref":"IbanEx.Country.HU.html"},{"type":"module","title":"Examples - IbanEx.Country.HU","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"HU\",\n    ...>    check_digits: \"42\",\n    ...>    bank_code: \"117\",\n    ...>    branch_code: \"7301\",\n    ...>    national_check: \"0\",\n    ...>    account_number: \"6111110180000000\"\n    ...>  }\n    ...>  |> IbanEx.Country.HU.to_string()\n    \"HU 42 117 7301 6111110180000000 0\"\n```","ref":"IbanEx.Country.HU.html#module-examples"},{"type":"function","title":"IbanEx.Country.HU.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.HU.html#rule/0"},{"type":"module","title":"IbanEx.Country.IE","doc":"Ireland IBAN parsing rules","ref":"IbanEx.Country.IE.html"},{"type":"module","title":"Examples - IbanEx.Country.IE","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"IE\",\n    ...>    check_digits: \"29\",\n    ...>    bank_code: \"AIBK\",\n    ...>    branch_code: \"931152\",\n    ...>    national_check: nil,\n    ...>    account_number: \"12345678\"\n    ...>  }\n    ...>  |> IbanEx.Country.IE.to_string()\n    \"IE 29 AIBK 931152 12345678\"\n```","ref":"IbanEx.Country.IE.html#module-examples"},{"type":"function","title":"IbanEx.Country.IE.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.IE.html#rule/0"},{"type":"module","title":"IbanEx.Country.IL","doc":"Israel IBAN parsing rules","ref":"IbanEx.Country.IL.html"},{"type":"module","title":"Examples - IbanEx.Country.IL","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"IL\",\n    ...>    check_digits: \"62\",\n    ...>    bank_code: \"010\",\n    ...>    branch_code: \"800\",\n    ...>    national_check: nil,\n    ...>    account_number: \"0000099999999\"\n    ...>  }\n    ...>  |> IbanEx.Country.IL.to_string()\n    \"IL 62 010 800 0000099999999\"\n```","ref":"IbanEx.Country.IL.html#module-examples"},{"type":"function","title":"IbanEx.Country.IL.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.IL.html#rule/0"},{"type":"module","title":"IbanEx.Country.IS","doc":"Island IBAN parsing rules","ref":"IbanEx.Country.IS.html"},{"type":"module","title":"Examples - IbanEx.Country.IS","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"IS\",\n    ...>    check_digits: \"14\",\n    ...>    bank_code: \"0159\",\n    ...>    branch_code: \"26\",\n    ...>    national_check: nil,\n    ...>    account_number: \"0076545510730339\"\n    ...>  }\n    ...>  |> IbanEx.Country.IS.to_string()\n    \"IS 14 0159 26 0076545510730339\"\n```","ref":"IbanEx.Country.IS.html#module-examples"},{"type":"function","title":"IbanEx.Country.IS.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.IS.html#rule/0"},{"type":"module","title":"IbanEx.Country.IT","doc":"Italy IBAN parsing rules","ref":"IbanEx.Country.IT.html"},{"type":"module","title":"Examples - IbanEx.Country.IT","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"IT\",\n    ...>    check_digits: \"60\",\n    ...>    bank_code: \"05428\",\n    ...>    branch_code: \"11101\",\n    ...>    national_check: \"X\",\n    ...>    account_number: \"000000123456\"\n    ...>  }\n    ...>  |> IbanEx.Country.IT.to_string()\n    \"IT 60 X 05428 11101 000000123456\"\n```","ref":"IbanEx.Country.IT.html#module-examples"},{"type":"function","title":"IbanEx.Country.IT.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.IT.html#rule/0"},{"type":"module","title":"IbanEx.Country.JO","doc":"Jordan IBAN parsing rules","ref":"IbanEx.Country.JO.html"},{"type":"module","title":"Examples - IbanEx.Country.JO","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"JO\",\n    ...>    check_digits: \"94\",\n    ...>    bank_code: \"CBJO\",\n    ...>    branch_code: \"0010\",\n    ...>    national_check: nil,\n    ...>    account_number: \"000000000131000302\"\n    ...>  }\n    ...>  |> IbanEx.Country.JO.to_string()\n    \"JO 94 CBJO 0010 000000000131000302\"\n```","ref":"IbanEx.Country.JO.html#module-examples"},{"type":"function","title":"IbanEx.Country.JO.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.JO.html#rule/0"},{"type":"module","title":"IbanEx.Country.KW","doc":"Kuwait IBAN parsing rules","ref":"IbanEx.Country.KW.html"},{"type":"module","title":"Examples - IbanEx.Country.KW","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"KW\",\n    ...>    check_digits: \"81\",\n    ...>    bank_code: \"CBKU\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0000000000001234560101\"\n    ...>  }\n    ...>  |> IbanEx.Country.KW.to_string()\n    \"KW 81 CBKU 0000000000001234560101\"\n```","ref":"IbanEx.Country.KW.html#module-examples"},{"type":"function","title":"IbanEx.Country.KW.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.KW.html#rule/0"},{"type":"module","title":"IbanEx.Country.KZ","doc":"Kazakhstan IBAN parsing rules","ref":"IbanEx.Country.KZ.html"},{"type":"module","title":"Examples - IbanEx.Country.KZ","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"KZ\",\n    ...>    check_digits: \"86\",\n    ...>    bank_code: \"125\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"KZT5004100100\"\n    ...>  }\n    ...>  |> IbanEx.Country.KZ.to_string()\n    \"KZ 86 125 KZT5004100100\"\n```","ref":"IbanEx.Country.KZ.html#module-examples"},{"type":"function","title":"IbanEx.Country.KZ.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.KZ.html#rule/0"},{"type":"module","title":"IbanEx.Country.LB","doc":"Lebanon IBAN parsing rules","ref":"IbanEx.Country.LB.html"},{"type":"module","title":"Examples - IbanEx.Country.LB","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"LB\",\n    ...>    check_digits: \"62\",\n    ...>    bank_code: \"0999\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"00000001001901229114\"\n    ...>  }\n    ...>  |> IbanEx.Country.LB.to_string()\n    \"LB 62 0999 00000001001901229114\"\n```","ref":"IbanEx.Country.LB.html#module-examples"},{"type":"function","title":"IbanEx.Country.LB.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.LB.html#rule/0"},{"type":"module","title":"IbanEx.Country.LI","doc":"Liechtenstein IBAN parsing rules","ref":"IbanEx.Country.LI.html"},{"type":"module","title":"Examples - IbanEx.Country.LI","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"LI\",\n    ...>    check_digits: \"21\",\n    ...>    bank_code: \"08810\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0002324013AA\"\n    ...>  }\n    ...>  |> IbanEx.Country.LI.to_string()\n    \"LI 21 08810 0002324013AA\"\n```","ref":"IbanEx.Country.LI.html#module-examples"},{"type":"function","title":"IbanEx.Country.LI.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.LI.html#rule/0"},{"type":"module","title":"IbanEx.Country.LT","doc":"Lithuanian IBAN parsing rules","ref":"IbanEx.Country.LT.html"},{"type":"module","title":"Examples - IbanEx.Country.LT","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"LT\",\n    ...>    check_digits: \"12\",\n    ...>    bank_code: \"10000\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"11101001000\"\n    ...>  }\n    ...>  |> IbanEx.Country.LT.to_string()\n    \"LT 12 10000 11101001000\"\n```","ref":"IbanEx.Country.LT.html#module-examples"},{"type":"function","title":"IbanEx.Country.LT.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.LT.html#rule/0"},{"type":"module","title":"IbanEx.Country.LU","doc":"Luxembourg IBAN parsing rules","ref":"IbanEx.Country.LU.html"},{"type":"module","title":"Examples - IbanEx.Country.LU","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"LU\",\n    ...>    check_digits: \"28\",\n    ...>    bank_code: \"001\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"9400644750000\"\n    ...>  }\n    ...>  |> IbanEx.Country.LU.to_string()\n    \"LU 28 001 9400644750000\"\n```","ref":"IbanEx.Country.LU.html#module-examples"},{"type":"function","title":"IbanEx.Country.LU.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.LU.html#rule/0"},{"type":"module","title":"IbanEx.Country.LV","doc":"Latvian IBAN parsing rules","ref":"IbanEx.Country.LV.html"},{"type":"module","title":"Examples - IbanEx.Country.LV","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"LV\",\n    ...>    check_digits: \"80\",\n    ...>    bank_code: \"BANK\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0000435195001\"\n    ...>  }\n    ...>  |> IbanEx.Country.LV.to_string()\n    \"LV 80 BANK 0000435195001\"\n```","ref":"IbanEx.Country.LV.html#module-examples"},{"type":"function","title":"IbanEx.Country.LV.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.LV.html#rule/0"},{"type":"module","title":"IbanEx.Country.MC","doc":"Monaco IBAN parsing rules","ref":"IbanEx.Country.MC.html"},{"type":"module","title":"Examples - IbanEx.Country.MC","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"MC\",\n    ...>    check_digits: \"58\",\n    ...>    bank_code: \"11222\",\n    ...>    branch_code: \"00001\",\n    ...>    national_check: \"30\",\n    ...>    account_number: \"01234567890\"\n    ...>  }\n    ...>  |> IbanEx.Country.MC.to_string()\n    \"MC 58 11222 00001 01234567890 30\"\n```","ref":"IbanEx.Country.MC.html#module-examples"},{"type":"function","title":"IbanEx.Country.MC.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.MC.html#rule/0"},{"type":"module","title":"IbanEx.Country.MD","doc":"Republic of Moldova IBAN parsing rules","ref":"IbanEx.Country.MD.html"},{"type":"module","title":"Examples - IbanEx.Country.MD","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"MD\",\n    ...>    check_digits: \"24\",\n    ...>    bank_code: \"AG\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"000225100013104168\"\n    ...>  }\n    ...>  |> IbanEx.Country.MD.to_string()\n    \"MD 24 AG 000225100013104168\"\n```","ref":"IbanEx.Country.MD.html#module-examples"},{"type":"function","title":"IbanEx.Country.MD.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.MD.html#rule/0"},{"type":"module","title":"IbanEx.Country.ME","doc":"Montenegro IBAN parsing rules","ref":"IbanEx.Country.ME.html"},{"type":"module","title":"Examples - IbanEx.Country.ME","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"ME\",\n    ...>    check_digits: \"25\",\n    ...>    bank_code: \"505\",\n    ...>    branch_code: nil,\n    ...>    national_check: \"51\",\n    ...>    account_number: \"0000123456789\"\n    ...>  }\n    ...>  |> IbanEx.Country.ME.to_string()\n    \"ME 25 505 0000123456789 51\"\n```","ref":"IbanEx.Country.ME.html#module-examples"},{"type":"function","title":"IbanEx.Country.ME.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.ME.html#rule/0"},{"type":"module","title":"IbanEx.Country.MK","doc":"Macedonia IBAN parsing rules","ref":"IbanEx.Country.MK.html"},{"type":"module","title":"Examples - IbanEx.Country.MK","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"MK\",\n    ...>    check_digits: \"07\",\n    ...>    bank_code: \"250\",\n    ...>    branch_code: nil,\n    ...>    national_check: \"84\",\n    ...>    account_number: \"1200000589\"\n    ...>  }\n    ...>  |> IbanEx.Country.MK.to_string()\n    \"MK 07 250 1200000589 84\"\n```","ref":"IbanEx.Country.MK.html#module-examples"},{"type":"function","title":"IbanEx.Country.MK.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.MK.html#rule/0"},{"type":"module","title":"IbanEx.Country.MR","doc":"Mauritania IBAN parsing rules","ref":"IbanEx.Country.MR.html"},{"type":"module","title":"Examples - IbanEx.Country.MR","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"MR\",\n    ...>    check_digits: \"13\",\n    ...>    bank_code: \"00020\",\n    ...>    branch_code: \"00101\",\n    ...>    national_check: \"53\",\n    ...>    account_number: \"00001234567\"\n    ...>  }\n    ...>  |> IbanEx.Country.MR.to_string()\n    \"MR 13 00020 00101 00001234567 53\"\n```","ref":"IbanEx.Country.MR.html#module-examples"},{"type":"function","title":"IbanEx.Country.MR.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.MR.html#rule/0"},{"type":"module","title":"IbanEx.Country.MT","doc":"Malta IBAN parsing rules","ref":"IbanEx.Country.MT.html"},{"type":"module","title":"Examples - IbanEx.Country.MT","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"MT\",\n    ...>    check_digits: \"84\",\n    ...>    bank_code: \"MALT\",\n    ...>    branch_code: \"01100\",\n    ...>    national_check: nil,\n    ...>    account_number: \"0012345MTLCAST001S\"\n    ...>  }\n    ...>  |> IbanEx.Country.MT.to_string()\n    \"MT 84 MALT 01100 0012345MTLCAST001S\"\n```","ref":"IbanEx.Country.MT.html#module-examples"},{"type":"function","title":"IbanEx.Country.MT.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.MT.html#rule/0"},{"type":"module","title":"IbanEx.Country.NL","doc":"Netherlands IBAN parsing rules","ref":"IbanEx.Country.NL.html"},{"type":"module","title":"Examples - IbanEx.Country.NL","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"NL\",\n    ...>    check_digits: \"91\",\n    ...>    bank_code: \"ABNA\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0417164300\"\n    ...>  }\n    ...>  |> IbanEx.Country.NL.to_string()\n    \"NL 91 ABNA 0417164300\"\n```","ref":"IbanEx.Country.NL.html#module-examples"},{"type":"function","title":"IbanEx.Country.NL.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.NL.html#rule/0"},{"type":"module","title":"IbanEx.Country.NO","doc":"Norway IBAN parsing rules","ref":"IbanEx.Country.NO.html"},{"type":"module","title":"Examples - IbanEx.Country.NO","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"NO\",\n    ...>    check_digits: \"93\",\n    ...>    bank_code: \"8601\",\n    ...>    branch_code: nil,\n    ...>    national_check: \"7\",\n    ...>    account_number: \"111794\"\n    ...>  }\n    ...>  |> IbanEx.Country.NO.to_string()\n    \"NO 93 8601 111794 7\"\n```","ref":"IbanEx.Country.NO.html#module-examples"},{"type":"function","title":"IbanEx.Country.NO.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.NO.html#rule/0"},{"type":"module","title":"IbanEx.Country.PK","doc":"Pakistan IBAN parsing rules","ref":"IbanEx.Country.PK.html"},{"type":"module","title":"Examples - IbanEx.Country.PK","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"PK\",\n    ...>    check_digits: \"36\",\n    ...>    bank_code: \"SCBL\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0000001123456702\"\n    ...>  }\n    ...>  |> IbanEx.Country.PK.to_string()\n    \"PK 36 SCBL 0000001123456702\"\n```","ref":"IbanEx.Country.PK.html#module-examples"},{"type":"function","title":"IbanEx.Country.PK.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.PK.html#rule/0"},{"type":"module","title":"IbanEx.Country.PL","doc":"Poland IBAN parsing rules","ref":"IbanEx.Country.PL.html"},{"type":"module","title":"Examples - IbanEx.Country.PL","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"PL\",\n    ...>    check_digits: \"61\",\n    ...>    bank_code: \"109\",\n    ...>    branch_code: \"0101\",\n    ...>    national_check: \"4\",\n    ...>    account_number: \"0000071219812874\"\n    ...>  }\n    ...>  |> IbanEx.Country.PL.to_string()\n    \"PL 61 109 0101 4 0000071219812874\"\n```","ref":"IbanEx.Country.PL.html#module-examples"},{"type":"function","title":"IbanEx.Country.PL.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.PL.html#rule/0"},{"type":"module","title":"IbanEx.Country.PT","doc":"Portugal IBAN parsing rules","ref":"IbanEx.Country.PT.html"},{"type":"module","title":"Examples - IbanEx.Country.PT","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"PT\",\n    ...>    check_digits: \"50\",\n    ...>    bank_code: \"0002\",\n    ...>    branch_code: \"0123\",\n    ...>    national_check: \"54\",\n    ...>    account_number: \"12345678901\"\n    ...>  }\n    ...>  |> IbanEx.Country.PT.to_string()\n    \"PT 50 0002 0123 12345678901 54\"\n```","ref":"IbanEx.Country.PT.html#module-examples"},{"type":"function","title":"IbanEx.Country.PT.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.PT.html#rule/0"},{"type":"module","title":"IbanEx.Country.QA","doc":"Qatar IBAN parsing rules","ref":"IbanEx.Country.QA.html"},{"type":"module","title":"Examples - IbanEx.Country.QA","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"QA\",\n    ...>    check_digits: \"58\",\n    ...>    bank_code: \"DOHB\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"00001234567890ABCDEFG\"\n    ...>  }\n    ...>  |> IbanEx.Country.QA.to_string()\n    \"QA 58 DOHB 00001234567890ABCDEFG\"\n```","ref":"IbanEx.Country.QA.html#module-examples"},{"type":"function","title":"IbanEx.Country.QA.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.QA.html#rule/0"},{"type":"module","title":"IbanEx.Country.RO","doc":"Romania IBAN parsing rules","ref":"IbanEx.Country.RO.html"},{"type":"module","title":"Examples - IbanEx.Country.RO","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"RO\",\n    ...>    check_digits: \"49\",\n    ...>    bank_code: \"AAAA\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"1B31007593840000\"\n    ...>  }\n    ...>  |> IbanEx.Country.RO.to_string()\n    \"RO 49 AAAA 1B31007593840000\"\n```","ref":"IbanEx.Country.RO.html#module-examples"},{"type":"function","title":"IbanEx.Country.RO.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.RO.html#rule/0"},{"type":"module","title":"IbanEx.Country.RS","doc":"Serbia IBAN parsing rules","ref":"IbanEx.Country.RS.html"},{"type":"module","title":"Examples - IbanEx.Country.RS","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"RS\",\n    ...>    check_digits: \"35\",\n    ...>    bank_code: \"260\",\n    ...>    branch_code: nil,\n    ...>    national_check: \"79\",\n    ...>    account_number: \"0056010016113\"\n    ...>  }\n    ...>  |> IbanEx.Country.RS.to_string()\n    \"RS 35 260 0056010016113 79\"\n```","ref":"IbanEx.Country.RS.html#module-examples"},{"type":"function","title":"IbanEx.Country.RS.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.RS.html#rule/0"},{"type":"module","title":"IbanEx.Country.SA","doc":"Saudi Arabia IBAN parsing rules","ref":"IbanEx.Country.SA.html"},{"type":"module","title":"Examples - IbanEx.Country.SA","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"SA\",\n    ...>    check_digits: \"03\",\n    ...>    bank_code: \"80\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"000000608010167519\"\n    ...>  }\n    ...>  |> IbanEx.Country.SA.to_string()\n    \"SA 03 80 000000608010167519\"\n```","ref":"IbanEx.Country.SA.html#module-examples"},{"type":"function","title":"IbanEx.Country.SA.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.SA.html#rule/0"},{"type":"module","title":"IbanEx.Country.SE","doc":"Sweden IBAN parsing rules","ref":"IbanEx.Country.SE.html"},{"type":"module","title":"Examples - IbanEx.Country.SE","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"SE\",\n    ...>    check_digits: \"45\",\n    ...>    bank_code: \"500\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"00000058398257466\"\n    ...>  }\n    ...>  |> IbanEx.Country.SE.to_string()\n    \"SE 45 500 00000058398257466\"\n```","ref":"IbanEx.Country.SE.html#module-examples"},{"type":"function","title":"IbanEx.Country.SE.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.SE.html#rule/0"},{"type":"module","title":"IbanEx.Country.SI","doc":"Slovenia IBAN parsing rules","ref":"IbanEx.Country.SI.html"},{"type":"module","title":"Examples - IbanEx.Country.SI","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"SI\",\n    ...>    check_digits: \"56\",\n    ...>    bank_code: \"26\",\n    ...>    branch_code: \"330\",\n    ...>    national_check: \"86\",\n    ...>    account_number: \"00120390\"\n    ...>  }\n    ...>  |> IbanEx.Country.SI.to_string()\n    \"SI 56 26 330 00120390 86\"\n```","ref":"IbanEx.Country.SI.html#module-examples"},{"type":"function","title":"IbanEx.Country.SI.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.SI.html#rule/0"},{"type":"module","title":"IbanEx.Country.SK","doc":"Slovakia IBAN parsing rules","ref":"IbanEx.Country.SK.html"},{"type":"module","title":"Examples - IbanEx.Country.SK","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"SK\",\n    ...>    check_digits: \"31\",\n    ...>    bank_code: \"1200\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0000198742637541\"\n    ...>  }\n    ...>  |> IbanEx.Country.SK.to_string()\n    \"SK 31 1200 0000198742637541\"\n```","ref":"IbanEx.Country.SK.html#module-examples"},{"type":"function","title":"IbanEx.Country.SK.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.SK.html#rule/0"},{"type":"module","title":"IbanEx.Country.SM","doc":"San Marino IBAN parsing rules","ref":"IbanEx.Country.SM.html"},{"type":"module","title":"Examples - IbanEx.Country.SM","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"SM\",\n    ...>    check_digits: \"86\",\n    ...>    bank_code: \"03225\",\n    ...>    branch_code: \"09800\",\n    ...>    national_check: \"U\",\n    ...>    account_number: \"000000270100\"\n    ...>  }\n    ...>  |> IbanEx.Country.SM.to_string()\n    \"SM 86 U 03225 09800 000000270100\"\n```","ref":"IbanEx.Country.SM.html#module-examples"},{"type":"function","title":"IbanEx.Country.SM.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.SM.html#rule/0"},{"type":"module","title":"IbanEx.Country.SV","doc":"El Salvador IBAN parsing rules","ref":"IbanEx.Country.SV.html"},{"type":"module","title":"Examples - IbanEx.Country.SV","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"SV\",\n    ...>    check_digits: \"62\",\n    ...>    bank_code: \"CENR\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"00000000000000700025\"\n    ...>  }\n    ...>  |> IbanEx.Country.SV.to_string()\n    \"SV 62 CENR 00000000000000700025\"\n```","ref":"IbanEx.Country.SV.html#module-examples"},{"type":"function","title":"IbanEx.Country.SV.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.SV.html#rule/0"},{"type":"module","title":"IbanEx.Country.TL","doc":"Timor-Leste IBAN parsing rules","ref":"IbanEx.Country.TL.html"},{"type":"module","title":"Examples - IbanEx.Country.TL","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"TL\",\n    ...>    check_digits: \"38\",\n    ...>    bank_code: \"008\",\n    ...>    branch_code: nil,\n    ...>    national_check: \"57\",\n    ...>    account_number: \"00123456789101\"\n    ...>  }\n    ...>  |> IbanEx.Country.TL.to_string()\n    \"TL 38 008 00123456789101 57\"\n```","ref":"IbanEx.Country.TL.html#module-examples"},{"type":"function","title":"IbanEx.Country.TL.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.TL.html#rule/0"},{"type":"module","title":"IbanEx.Country.TR","doc":"Turkey IBAN parsing rules","ref":"IbanEx.Country.TR.html"},{"type":"module","title":"Examples - IbanEx.Country.TR","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"TR\",\n    ...>    check_digits: \"33\",\n    ...>    bank_code: \"00061\",\n    ...>    branch_code: nil,\n    ...>    national_check: \"0\",\n    ...>    account_number: \"0519786457841326\"\n    ...>  }\n    ...>  |> IbanEx.Country.TR.to_string()\n    \"TR 33 00061 0 0519786457841326\"\n```","ref":"IbanEx.Country.TR.html#module-examples"},{"type":"function","title":"IbanEx.Country.TR.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.TR.html#rule/0"},{"type":"module","title":"IbanEx.Country.UA","doc":"Ukrainian IBAN parsing rules","ref":"IbanEx.Country.UA.html"},{"type":"module","title":"Examples - IbanEx.Country.UA","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"UA\",\n    ...>    check_digits: \"21\",\n    ...>    bank_code: \"322313\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0000026007233566001\"\n    ...>  }\n    ...>  |> IbanEx.Country.UA.to_string()\n    \"UA 21 322313 0000026007233566001\"\n```","ref":"IbanEx.Country.UA.html#module-examples"},{"type":"function","title":"IbanEx.Country.UA.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.UA.html#rule/0"},{"type":"module","title":"IbanEx.Country.VA","doc":"Vatican IBAN parsing rules","ref":"IbanEx.Country.VA.html"},{"type":"module","title":"Examples - IbanEx.Country.VA","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"VA\",\n    ...>    check_digits: \"59\",\n    ...>    bank_code: \"001\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"123000012345678\"\n    ...>  }\n    ...>  |> IbanEx.Country.VA.to_string()\n    \"VA 59 001 123000012345678\"\n```","ref":"IbanEx.Country.VA.html#module-examples"},{"type":"function","title":"IbanEx.Country.VA.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.VA.html#rule/0"},{"type":"module","title":"IbanEx.Country.VG","doc":"British Virgin Islands IBAN parsing rules","ref":"IbanEx.Country.VG.html"},{"type":"module","title":"Examples - IbanEx.Country.VG","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"VG\",\n    ...>    check_digits: \"96\",\n    ...>    bank_code: \"VPVG\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"0000012345678901\"\n    ...>  }\n    ...>  |> IbanEx.Country.VG.to_string()\n    \"VG 96 VPVG 0000012345678901\"\n```","ref":"IbanEx.Country.VG.html#module-examples"},{"type":"function","title":"IbanEx.Country.VG.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.VG.html#rule/0"},{"type":"module","title":"IbanEx.Country.XK","doc":"Kosovo IBAN parsing rules","ref":"IbanEx.Country.XK.html"},{"type":"module","title":"Examples - IbanEx.Country.XK","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"XK\",\n    ...>    check_digits: \"05\",\n    ...>    bank_code: \"12\",\n    ...>    branch_code: \"12\",\n    ...>    national_check: \"06\",\n    ...>    account_number: \"0123456789\"\n    ...>  }\n    ...>  |> IbanEx.Country.XK.to_string()\n    \"XK 05 12 12 0123456789 06\"\n```","ref":"IbanEx.Country.XK.html#module-examples"},{"type":"function","title":"IbanEx.Country.XK.rule/0","doc":"Return Regex for parsing complete BBAN (part of IBAN string)","ref":"IbanEx.Country.XK.html#rule/0"},{"type":"protocol","title":"IbanEx.Deserialize","doc":"","ref":"IbanEx.Deserialize.html"},{"type":"function","title":"IbanEx.Deserialize.to_iban/1","doc":"","ref":"IbanEx.Deserialize.html#to_iban/1"},{"type":"type","title":"IbanEx.Deserialize.iban/0","doc":"","ref":"IbanEx.Deserialize.html#t:iban/0"},{"type":"type","title":"IbanEx.Deserialize.iban_or_error/0","doc":"","ref":"IbanEx.Deserialize.html#t:iban_or_error/0"},{"type":"type","title":"IbanEx.Deserialize.t/0","doc":"All the types that implement this protocol.","ref":"IbanEx.Deserialize.html#t:t/0"},{"type":"module","title":"IbanEx.Validator.Replacements","doc":"Replacements in IBANs for checksums calculations","ref":"IbanEx.Validator.Replacements.html"},{"type":"function","title":"IbanEx.Validator.Replacements.replace/1","doc":"","ref":"IbanEx.Validator.Replacements.html#replace/1"},{"type":"function","title":"IbanEx.Validator.Replacements.replacements/0","doc":"","ref":"IbanEx.Validator.Replacements.html#replacements/0"},{"type":"type","title":"IbanEx.Validator.Replacements.replacements/0","doc":"","ref":"IbanEx.Validator.Replacements.html#t:replacements/0"},{"type":"type","title":"IbanEx.Validator.Replacements.symbol/0","doc":"","ref":"IbanEx.Validator.Replacements.html#t:symbol/0"},{"type":"type","title":"IbanEx.Validator.Replacements.value/0","doc":"","ref":"IbanEx.Validator.Replacements.html#t:value/0"},{"type":"extras","title":"IbanEx","doc":"# IbanEx\n\nElixir library for working with IBAN numbers (parsing, validating, checking and formatting)","ref":"readme.html"},{"type":"extras","title":"What is an IBAN? - IbanEx","doc":"IBAN (which stands for International Bank Account Number) is an internationally agreed code made up of up to 34 letters and numbers which helps banks make sure that international transfers are processed correctly.\n\nIn just a few letters and numbers, the IBAN captures all of the country, bank, and account details you need to send or receive money internationally. This system is used throughout Europe, and also recognised in some areas of the Middle East, North Africa and the Caribbean. Find IBAN examples for every country where it's used.","ref":"readme.html#what-is-an-iban"},{"type":"extras","title":"HowTo Use - IbanEx","doc":"#","ref":"readme.html#howto-use"},{"type":"extras","title":"Successfull case to parse IBAN - IbanEx","doc":"```elixir\n      iex>  \"FI2112345600000785\" |> IbanEx.Parser.parse()\n      {:ok, %IbanEx.Iban{\n        country_code: \"FI\",\n        check_digits: \"21\",\n        bank_code: \"123456\",\n        branch_code: nil,\n        national_check: \"5\",\n        account_number: \"0000078\"\n      }}\n  ```\n\n#","ref":"readme.html#successfull-case-to-parse-iban"},{"type":"extras","title":"Errors cases of IBAN parsing - IbanEx","doc":"##","ref":"readme.html#errors-cases-of-iban-parsing"},{"type":"extras","title":"To check IBAN's country is supported - IbanEx","doc":"```elixir\n      iex> {:error, unsupported_country_code} = IbanEx.Parser.parse(\"ZU21NABZ00000000137010001944\")\n      {:error, :unsupported_country_code}\n      iex> IbanEx.Error.message(unsupported_country_code)\n      \"Unsupported country code\"\n  ```\n\n##","ref":"readme.html#to-check-iban-s-country-is-supported"},{"type":"extras","title":"Validate and check IBAN length - IbanEx","doc":"```elixir\n      iex> {:error, invalid_length} = IbanEx.Parser.parse(\"AT6119043002345732012\")\n      {:error, :invalid_length}\n      iex> IbanEx.Error.message(invalid_length)\n      \"IBAN violates the required length\"\n  ```\n\n  ```elixir\n      iex> {:error, length_to_long} = IbanEx.Validator.check_iban_length(\"AT6119043002345732012\")\n      {:error, :length_to_long}\n      iex> IbanEx.Error.message(length_to_long)\n      \"IBAN longer then required length\"\n      iex> {:error, length_to_short} = IbanEx.Validator.check_iban_length(\"AT61190430023457320\")\n      {:error, :length_to_short}\n      iex> IbanEx.Error.message(length_to_short)\n      \"IBAN shorter then required length\"\n  ```\n\n##","ref":"readme.html#validate-and-check-iban-length"},{"type":"extras","title":"Validate IBAN checksum - IbanEx","doc":"```elixir\n      iex> {:error, invalid_checksum} = IbanEx.Parser.parse(\"AT621904300234573201\")\n      {:error, :invalid_checksum}\n      iex> IbanEx.Error.message(invalid_checksum)\n      \"IBAN's checksum is invalid\"\n  ```","ref":"readme.html#validate-iban-checksum"},{"type":"extras","title":"Installation - IbanEx","doc":"The package can be installed by adding `iban_ex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:iban_ex, \"~> 0.1.8\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown"}